Setup Alfred integration.
curl --request PUT \
--url https://sandbox-api.borderless.xyz/v1/organizations/integrations/alfred \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "alfred_api_key_123",
"apiSecret": "alfred_api_secret_456",
"webhookSecret": "alfred_webhook_secret_789"
}
'Integrations Config
Setup Alfred integration.
deprecated
Create Alfred integration to configure the connection with the Alfred account.
PUT
/
v1
/
organizations
/
integrations
/
alfred
Setup Alfred integration.
curl --request PUT \
--url https://sandbox-api.borderless.xyz/v1/organizations/integrations/alfred \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "alfred_api_key_123",
"apiSecret": "alfred_api_secret_456",
"webhookSecret": "alfred_webhook_secret_789"
}
'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The Alfred API key for authentication.
Example:
"alfred_api_key_123"
The Alfred API secret for authentication.
Example:
"alfred_api_secret_456"
The Alfred webhook secret used to verify incoming webhook signatures.
Example:
"alfred_webhook_secret_789"
Response
202
Organization Alfred integration data
Was this page helpful?
⌘I